﻿<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head th:replace="layout/layout.html :: head"></head>
<body>
	<header th:replace="layout/layout.html :: header"></header>
	<div class="container py-4">

		<div class="card bg-dark text-white">
			<div class="card-header" th:text="#{text.cliente.listar.titulo}"></div>
			<div class="card-body">

				<a sec:authorize="hasRole('ROLE_ADMIN')" th:href="@{/form}" class="btn btn-outline-primary m-2"
					tabindex="-1" role="button" th:text="#{text.cliente.form.titulo.crear}">Agregar cliente</a>
					
					<a class="btn btn-secondary" th:href="@{'/listar'(format=csv)}"  role="button" ><i class="fas fa-file-csv"></i></a>
					<a class="btn btn-secondary" th:href="@{'/listar'(format=xml)}"  role="button" ><i class="fas fa-file-code"></i></a>
					<a class="btn btn-secondary" th:href="@{'/listar'(format=json)}"  role="button" ><i class="fab fa-js"></i></a>

				<table class="table table-striped bg-light">
					<thead class="thead-light">
						<tr>
							<th>ID</th>
							<th th:text="#{text.cliente.nombre}">Nombre</th>
							<th th:text="#{text.cliente.apellido}">Apellido</th>
							<th th:text="#{text.cliente.email}">E-mail</th>
							<th th:text="#{text.cliente.createAt}">Fecha</th>
							<th sec:authorize="hasRole('ROLE_USER')" th:text="#{text.cliente.listar.acciones}" >Acciones</th>
						</tr>
					</thead>
					<tbody>
						<tr class="text-dark" th:each="cliente: ${clientes}">
							<td th:text="${cliente.id}"></td>
							<td th:text="${cliente.nombre}"></td>
							<td th:text="${cliente.apellido}"></td>
							<td th:text="${cliente.email}"></td>
							<td th:text="${cliente.createAt}"></td>
							<td sec:authorize="hasRole('ROLE_USER')">
								<a sec:authorize="hasRole('ROLE_ADMIN')" class="text-warning"
								th:href="@{'/factura/form/' + ${cliente.id}}">
								<i class="fas fa-cart-plus"></i></a>
								<a sec:authorize="hasRole('ROLE_USER')" class="text-info"
								th:href="@{'/ver/' + ${cliente.id}}">
								<i class="fas fa-info-circle"></i></a>
								<a sec:authorize="hasRole('ROLE_ADMIN')" class="text-primary"
								th:href="@{'/form/' + ${cliente.id}}"><i
									class="fas fa-user-edit"></i></a> 
								<a sec:authorize="hasRole('ROLE_ADMIN')" class="text-secondary"
								th:href="@{'/delete/' + ${cliente.id}}"
								onclick="return confirm('¿Estás seguro que deseas eliminar este cliente?');"><i
									class="fas fa-trash"></i></a></td>
						</tr>
					</tbody>
				</table>
				<nav th:replace="layout/paginator.html :: paginator"></nav>
			</div>
		</div>
	</div>

	<footer th:replace="layout/layout.html :: footer"></footer>
</body>
</html>
